Subject: Re: [Enum] FW: Last Call or New Draft? - Portability

From: Michael Mealling <[email-masked]>
Date: Wed, 5 Jul 2000 09:59:05 -0400

On Thu, Jun 29, 2000 at 10:46:40AM -0400, Robert H. Walter wrote:
> Richard Shockey wrote:
> > Looking good .... I've changed .int to .arpa
> > 
> > >      $ORIGIN     9.0.3.5.7.6.8.2.9.7.1.e164.arpa.
> > >      IN NAPTR 10 10 "a" "sip+N2R"      "" "sip:[email-masked]"
> > >      IN NAPTR 10 10 "a" "smtp+N2R"     "" "mailto:[email-masked]"
> > >      IN NAPTR 10 10 "a" "http+N2R"     "" "http://jenny.ispa.net"
> > >      IN NAPTR 10 10 "a" "tel+N2R"      "" "tel:+1-792-867-5309"
> > >
> > >     Because this client knows sip, the first record above is selected,
> > >     and the SIP URI is extracted, and used according to SIP specifications.
> > 
> > Ta Da!..  ...if you use NAPTR records. Now we should see how our SIP
> > colleagues think about this scenerio.
> 
> Conceptually the works!, however the example NAPTR RRs are not accurately
> defined.  The replacement field MUST be a domain name and the above
> examples use URI's.
> 
> Mike Mealling wrote in a prevous post on Wed 6/28/00 10:01 AM:
> 
> > The Application gets to define the Appliction Unique String
> > which is the thing the algoirthm works on to find out specific
> > syntactic rules for delegation.
> > ...
> > In the case of an ENUM application the Unique String would be
> > the e.164 phone number and the output would be URIs that
> > identify services.
> 
> Mike would you mind shedding light on what the NAPTR RR's would
> look like given the unique string of 17928675309?  Your assistance
> is greatly appreciated.

Sure. Very similar actually:

$ORIGIN     9.0.3.5.7.6.8.2.9.7.1.e164.arpa.
IN NAPTR 10 10 "u" "sip+N2R"      "!^.*$!sip:[email-masked]!" .
IN NAPTR 10 10 "u" "smtp+N2R"     "!^.*$!mailto:[email-masked]" .
IN NAPTR 10 10 "u" "http+N2R"     "!^.*$!http://jenny.ispa.net" .
IN NAPTR 10 10 "u" "tel+N2R"      "!^.*$!tel:+1-792-867-5309" .

Patrik has some other examples but I'll let him forward them when
he's done...

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions	|          www.lp.org          |  [email-masked]

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum

---

From: [email-masked]
Date: Fri, 7 Jul 2000 09:05:13 +0300

Hi Mike,

> > Mike ...correct me if I'm wrong here ..but were you 
> thinking about a IANA  registration procedure here for NAPTR 
> service types?
> 
> Yep. RFC 2483 doesn't specify one but it does suggest that one should
> be created if needed. It provides a template and some loose policies.
> Setting up an IANA registry for these would be very easy....

That sounds like a good idea.  I have plans (partially in
electronic ink) and partially in my head for using NAPTR & ENUMs
for 2 different services.  I can try to address this in
the IANA sections of the draft.  

best regards,
John

---

From: [email-masked]
Date: Fri, 7 Jul 2000 15:27:55 +0300

Hi Mike,

> > The second draft is a bit more complicatated.  Essentially, in the
> > SIGTRAN protocols will be carrying some Application 
> Protocol (AP) over
> > an user adaptation layer (UA) + SCTP (though it could even be an 
> > adaptation layer + TCP).  E.164 numbers will used by the AP to
> > identify the signaling endpoint.  Ideally, I'd like to perform
> > an ENUM guery and see what UAs the E.164 identified endpoint 
> > supports (I'll need the URI as well, most likely host name or IP 
> > address + port number).
> 
> I'd have to look at this more but it sounds like its transport
> discovery. I.e. I have a URI but I don't know if its over 
> tcp,udp, sctp or what (sorry, I have to translate into my terms
> to understand this telephony stuff ;-). Hence it would be more
> "E164 to URI Plus Some Other Stuff". I'll let you figure out what
> Service tag that might be. ;-)

Its a bit that.  In SIGTRAN there are about 4 UAs existing (for carrying
different types of SS7 stuff over SCTP).  I'd like to do a query
on _sig.x.x.x.x.x.e164.arpa and get the list of possible UAs supported by 
x.x.x.x.x.e164.arpa - essentially, x.x.x.x.x.e164.arpa will refer to
a box, probably a multihomed box; so we'd have a number of IP addresses
allocated for that box.

What I was hoping to get as a resonse would be something like this:

IN NAPTR 10 5  "s" "sig._sua+E2I"   "" _sua1._sctp.nokia.com
IN NAPTR 10 5  "s" "sig._sua+E2I"   "" _sua2._sctp.nokia.com
IN NAPTR 10 10 "s" "sig._m3ua+E2I"  "" _m3ua._sctp.nokia.com
IN NAPTR 10 10 "s" "sig._m2ua+E2I"  "" _m2ua._sctp.nokia.com

and then _sua1._sctp.nokia.com would get you:

     ;;                             Pref Weight Port Target
     _sua1._sctp.nokia.com   IN SRV 0    0      1000 glc1.nokia.com
                             IN SRV 0    0      1000 glc2.nokia.com
                             IN SRV 0    0      1000 glc3.nokia.com

and so on & so forth ...

If this makes any sense (or not), let me know.  I appreciate
the comments, as I am new to the world of DNS records.

cheers,
John